hostname: R2
interfaces:
  - name: g0/0
    description: Interface physique parent
    ip: null
    mask: null

  - name: g0/0.10
    description: Sous interface g0/0.10
    ip: 172.16.30.254
    mask: 255.255.255.0
    vlan_id: 10

  - name: g0/0.20
    description: Sous interface g0/0.20
    ip: 172.16.40.254
    mask: 255.255.255.0
    vlan_id: 20

  - name: g2/0
    description: Lien principal vers le switch ESW4
    ip: null
    mask: null

  - name: g2/0.10
    description: Gateway pour le reseau 172.16.50.0
    ip: 172.16.50.254
    mask: 255.255.255.0
    vlan_id: 10

  - name: g2/0.20
    description: Gateway pour le reseau 172.16.60.0
    ip: 172.16.60.254
    mask: 255.255.255.0
    vlan_id: 20

  - name: g2/0.99
    description: Interface de gestion VLAN 99
    ip: 172.16.100.254
    mask: 255.255.255.192
    vlan_id: 99
